# synfigapp::DefaultUIInterface Class Reference

`#include <uimanager.h>`

Inheritance diagram for synfigapp::DefaultUIInterface:

List of all members.

## Public Member Functions

Response | confirmation (const std::string &, const std::string &, const std::string &, const std::string &, const std::string &, Response dflt)
Response | yes_no (const std::string &, const std::string &, Response dflt)
Response | yes_no_cancel (const std::string &, const std::string &, Response dflt)
Response | ok_cancel (const std::string &, const std::string &, Response dflt)
bool | task (const std::string &)
bool | error (const std::string &)
bool | warning (const std::string &)
bool | amount_complete (int, int)

## Member Function Documentation

Response synfigapp::DefaultUIInterface::confirmation | ( | const std::string & | ,
|  | const std::string & | ,
|  | const std::string & | ,
|  | const std::string & | ,
|  | const std::string & | ,
|  | Response | dflt |
| ) |  |  | `[inline, virtual]`

Implements synfigapp::UIInterface.

Response synfigapp::DefaultUIInterface::yes_no | ( | const std::string & | ,
|  | const std::string & | ,
|  | Response | dflt |
| ) |  |  | `[inline, virtual]`

Implements synfigapp::UIInterface.

Response synfigapp::DefaultUIInterface::yes_no_cancel | ( | const std::string & | ,
|  | const std::string & | ,
|  | Response | dflt |
| ) |  |  | `[inline, virtual]`

Implements synfigapp::UIInterface.

Response synfigapp::DefaultUIInterface::ok_cancel | ( | const std::string & | ,
|  | const std::string & | ,
|  | Response | dflt |
| ) |  |  | `[inline, virtual]`

Implements synfigapp::UIInterface.

bool synfigapp::DefaultUIInterface::task | ( | const std::string & |  | ) | `[inline]`

bool synfigapp::DefaultUIInterface::error | ( | const std::string & |  | ) | `[inline]`

bool synfigapp::DefaultUIInterface::warning | ( | const std::string & |  | ) | `[inline]`

bool synfigapp::DefaultUIInterface::amount_complete | ( | int | ,
|  | int |  |
| ) |  |  | `[inline]`

The documentation for this class was generated from the following file:

- uimanager.h